# OnnxSparseTensor.COOTensor (onnxruntime 1.15.0 API)

Package ai.onnxruntime

## Class OnnxSparseTensor.COOTensor

- java.lang.Object
- - ai.onnxruntime.OnnxSparseTensor.SparseTensor<java.nio.LongBuffer>
  - - ai.onnxruntime.OnnxSparseTensor.COOTensor

Enclosing class:
  OnnxSparseTensor

    public static final class OnnxSparseTensor.COOTensor
    extends OnnxSparseTensor.SparseTensor<java.nio.LongBuffer>

The Java side representation of a COO sparse tensor.

### Constructor Summary

Constructors
`COOTensor​(java.nio.LongBuffer indices, long[] indicesShape, java.nio.Buffer values, long[] denseShape, OnnxJavaType type, long numNonZero)` Creates a COO sparse tensor suitable for constructing an ORT Sparse Tensor.

### Method Summary

All Methods Instance Methods Concrete Methods
`OnnxJavaType` `getIndicesType()` The indices type of the sparse tensor.
`OnnxSparseTensor.SparseTensorType` `getSparsityType()` The sparsity type of the sparse tensor.

### Methods inherited from class ai.onnxruntime.OnnxSparseTensor.SparseTensor

`getDenseShape, getIndices, getIndicesShape, getNumNonZeroElements, getType, getValues, getValuesShape`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### COOTensor

    public COOTensor​(java.nio.LongBuffer indices,
                     long[] indicesShape,
                     java.nio.Buffer values,
                     long[] denseShape,
                     OnnxJavaType type,
                     long numNonZero)

Creates a COO sparse tensor suitable for constructing an ORT Sparse Tensor.

Parameters:
  `indices` - The indices. Should be a 1d vector, or a 2d vector.
  `indicesShape` - The shape of the indices.
  `values` - The data.
  `denseShape` - The dense shape.
  `type` - The data type.
  `numNonZero` - The number of non-zero elements.

### Method Detail

#### getIndicesType

    public OnnxJavaType getIndicesType()

Description copied from class: `OnnxSparseTensor.SparseTensor`
The indices type of the sparse tensor.

Only `OnnxJavaType.INT32` and `OnnxJavaType.INT64` are supported.

Specified by:
  `getIndicesType` in class `OnnxSparseTensor.SparseTensor<java.nio.LongBuffer>`
Returns:
  The sparse tensor indices type.

#### getSparsityType

    public OnnxSparseTensor.SparseTensorType getSparsityType()

Description copied from class: `OnnxSparseTensor.SparseTensor`
The sparsity type of the sparse tensor.

Specified by:
  `getSparsityType` in class `OnnxSparseTensor.SparseTensor<java.nio.LongBuffer>`
Returns:
  The sparse tensor sparsity type.